*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}

body{
    margin: 0;
    padding: 0;

}

/* Variables */
/* i don forget how to use CSS variables oo */


.contain{
    height: auto;
    width: 100%;
    overflow-x: hidden;
    
}



/* Navigation section | start */
.W{
    position: relative;
    height: 13vh;
    width: 97vw;
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 45%; 
    z-index: 3;
    overflow: hidden;
    
}

.W li > a{
    text-decoration: none;
    color: black;
}

.brgest{
    height: auto;
    width: 20vw;
    display: flex;

}

.brgest h1{
    font-size: 30px;
    font-weight: 700;
    font-family: sans-serif;
    display: flex;
    align-items: center;
    justify-content: center;

}



.nav-menu{
    height: 60px;
    width: 410px;
    display: flex;
    align-items: center;
    justify-content: center;

}


.list-holder{
    height: auto;
    width: 40vw;
    display: flex;
    justify-content: flex-end;
    align-content: flex-start;
    gap: 40px;

}



.nav-item{
    display: flex;
    font-size: 17px;
    cursor: pointer;
    /* gap: 43px; */
    color: black;
    transition: all 300ms ease;
}

.burger{
    padding: 7px;
}

#burg{
    z-index: 30;
}

#dropping{
    display: none;
}
.home{
    color: red;
}

/* End of navigation section */

#toTop{
    position: fixed;
    height: 7.6%;
    width: 10%;
    border-radius: 50%;
    background-color: skyblue;
    z-index: 50;
    outline: none;
    border: none;
    top: 83%;
    right: 6%;
    transition: all 300ms ease;
    display: none;
}

/* The side Details section */
.inactive-deets{
    width: 0;
    overflow: hidden;
    position: fixed;
    right: 0;
    height: 100vh;
    top: 0;
    z-index: 22;
    transition: all 300ms ease;
}

.details{
    width: 30vw;
    background-color: white;
    transition: all 300ms ease;
}






.cancel{
    /* height: auto;
    width: 6%;
    position: absolute; */
    margin-top: 33px;
    left: 83%;
    font-size: 18px;
    transition: all 500ms ease;
    cursor: pointer;
    animation: reverseSpin .75s ease-in-out .5s;
    position: absolute;

    
}



.cancel:hover{
    animation: rotate360 .75s ease-in-out;
    position: absolute;
    transition: all .75s ease;
}

@keyframes rotate360 {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
}

@keyframes reverseSpin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(-360deg);
    }
}



.push{
    margin-left: 15%;
}

.mini-brgest a{
    text-decoration: none;
    color: rgba(0, 0, 0, 0.687);
}

.mini-brgest{
    margin-top: 80px;
    font-size: 18px;
}

.inner-mini{
    margin-top: 55px;
    width: 250px;
    color: rgba(0, 0, 0, 0.687);
    

}

.west-stuff{
    word-spacing: 1px;
    line-height: 24px;
}

.the-P{
    margin-top: 10px;
    line-height: 35px;
}




.icons{
    margin-top: 48px;
    display: flex;
    gap: 28px;
}
.icons a{
    color: black;

}

/* End of deets/details */




.first-form{
    position: relative;
    height: auto;
    width: 100%;
    margin-top: -100px;
    overflow: hidden;
    background-color: rgb(218, 222, 224);
    z-index: 1;



}

.first-image{
    height: auto;
    width: 50%;
    float: left;
    overflow: hidden;
    
}

.theImage{
    height: 75vW;
    width: 80vw;
}




.first-form .fuckk{
    display: flex;
    flex-direction: column;
    margin-top: 125px;
    height: auto;
    width: 50%;
    padding: 7%;
}

.fuckk h1{
    font-size: 75px;
    font-weight: 520;
    line-height: 82px;
    font-family: sans-serif;
}

.ACH{
    height: auto;
    width: 5vh;
    margin-top:15px;
    box-shadow: -1px -1px 8px rgba(0, 0, 0, 0.381);
    padding: 20px 40px;
    display: flex;
    flex-direction: column;
    
    
}

.ACH ul{
    border-bottom: 1px solid black;
}

.ach-stuff{
    display: inline;
    position: relative;
    font-size: 18px;
    transition: all 300ms ease ;
    cursor: pointer;
    margin-top: 0px;
    margin-left: 20px;
    line-height: 40px;
} 

/* Select Area */

.all-locations{
    height: auto;
    width: 100%;
    margin-top: 18px;
    display: flex;
    gap: 10px;
    text-align: center;
}

.locations{
    height: auto;
    width: 50%;
    text-align: center;
    display: flex;
    align-items: center;
    padding-left: 10px;
    position: relative;
    border: 1px solid black;
    /* box-shadow: -1px -1px 8px rgba(0, 0, 0, 0.169); */

}


.statuses{
    height: auto;
    width: 50%;
    text-align: center;
    display: flex;
    align-items: center;
    padding-left: 10px;
    border: 1px solid black;
    position: relative;
    box-shadow: -1px -1px 8px rgba(0, 0, 0, 0.169);


}


.locations > span{
    background: none !important;
}

.statuses > span{
    background: none !important;
}

.locations > button{
    position: absolute;
    right: 5%;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    border: none;
    background:none;
}

.statuses > button{
    position: absolute;
    right: 5%;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    border: none;
    background:none;
}

.modal{
    display: none;
    position: absolute;
    background-color: white !important;
    height: 25vh;
    width:80%;
    overflow: auto;
    cursor: pointer;
    padding: 5px;
    top: 100%;
    left: 50%;
}

.block{
    display: block;
}



.modal > li{
    text-align: left;
    width: 100%;
    font-size: 15px;
    padding: 10px;
}

.active{
    background-color: rgba(128, 128, 128, 0.55);
    color:rgb(61, 239, 180);
}


.statuses .status{
    display: none;
    position: absolute;
    background-color: white;
    height: 25vh;
    width:80%;
    overflow: auto;
    cursor: pointer;
    padding: 5px;
    top: 100%;
    left: 50%;
}

.status > li{
    text-align: left;
    width: 100%;
    font-size: 15px;
    padding: 10px;
}

/* .extras{

} */


.ach-stuff::after{
    position: absolute;
    content: "";
    height: 15%;
    width: 100%;
    background-color: red;
    left: 0;
    bottom: -20%;
    opacity: 0;
    transition: all 300ms ease;
}


.bottom-nav{
    transition: all 400ms ease;
}

.secondHolder a{
    text-decoration: none;
    color: black;
}

.secondHolder .active2{
    color: red;
}

/* Search places button */

.searchPlaces{
    height: 70px;
    width: 220px;
    background-color: skyblue;
    margin-top: 60px;
    border: none;
    border-radius: 40px;
    cursor: pointer;
}

/* Remaining section */

.remaining-part{
    width: 100%;
    padding-top: 40px;
    padding-bottom: 50px;
    
}



/* Searching for section | start */

.searchingFor{
    height: auto;
    width: 100%;
    padding: 150px 110px;
    position: relative;
    padding-bottom: 90px;


}

.searchingFor h2{
    font-size: 48px;
    line-height: 46px;
    font-weight: 500;
    color: rgb(0, 0, 0);
    word-spacing: normal;
}

.searchingFor p{
    font-size: 22px;
    line-height: 25px;
    color: rgb(87, 87, 87);
    margin-top: 20px;
    font-weight: 400;
}

.searchItems{
    height: auto;
    width: 100%;
    margin: 50px auto;
    box-shadow: -1px -1px 150px rgba(0, 0, 0, 0.247);
    border-radius: 3px;
    text-align: justify;
    padding-top: 30px;
    padding-bottom: 30px;
    display: flex;
    justify-content:space-evenly;
    flex-wrap:wrap;
    margin-left: auto;
    
}

.sItem{
    display: flex;
    border-right: 1px solid black;
    height: 100px;
    width: 200px;
    display: inline-block;
    position: relative;
    font-size: 18px;
    transition: all 300ms ease ;
    cursor: pointer;
    text-align: center;
    margin-top: 30px ;
}

.shop{
    border: none;
}

.icon{
    font-size: 40px;
    margin-bottom: 0;
}

.sItem p{
    margin-top: 0;
}



/* Media Query section | start */

/* media at 1558 */

@media (max-width: 1558px){
    /* .first-image{ */
        /* height: 180px; */
        /* border: 1px solid blue; */
        
    /* } */

    .theImage{
        height: 1300px;
    }


}


/* media at 1280px */
@media (max-width: 2080px){

    .W{
        border: none;
    }
 
    .brgest{
        border: none;
        color: white;
    }

    .first-form{
        margin-top: -210px;
        /* border: 1px solid black; */
    }

    .first-image{
        height: 160vh;
        /* border: 1px solid blue; */
    }

    .theImage{
        height: 100%;
    }

    .ACH{
        height: auto;
        width: 35vw;
    }

    .all-locations{
        position: relative;
        height:60px;
        /* border: 1px solid red; */
    }

    .locations, .statuses{
        /* border: 1px solid blue; */
        height: 100%;

    }
}

@media (max-width: 1383px){
    .first-image{
        height: 1000px;
        /* border: 1px solid blue; */
    }
}

@media (max-height: 1011px){
    .first-image{
        height: auto;
    }

    .theImage{
        height: 900px;
    }
}


/* Media Queryb at 1220 */
@media (max-width: 1220px){
    .sItem{
        height: 70px;
        width: 150px;
    }

}


/* Media Query at 1141px */
@media (max-width: 1141px){

    .ACH{
        height: auto;
    }


    .locations{
        height: 60px;
        width: 100%;
    }
    .statuses{
        height: 60px;
        width: 100%;
    }

    .all-locations{
        flex-direction: column;
        height: auto;
        /* border: 1px solid green; */
    }

    .locations .modal{
        top: -200%;
    }



}


/* media at 1026px */
@media (max-width: 1026px){
    

    .W{
        height: 11vh;
        border: none;
    }

    .nav-menu{
        width: 380px;
        border: none;

    }
    .burger{
        display: none;
    }
    .bottom-nav{
        display: none;
        border: none;
    }

    .first-form{
        height: auto;
        width: 100vw;
    }
    .first-image{
        display: block;
        height: 800px;
        width: 100%;
        

    }

    .theImage{
        height: 1600px;
        width: 100%;
    }

    .first-form .fuckk{
        width: 100%;
        margin-top: 0;
        text-align: center;
        padding: 12%;
    }

    .first-form h1{
        margin-top: 0;
        font-size: 80px;
        text-align: left;
    }

    .ACH{
        width: 100%;
        height: auto;
        text-align: left;
        position: relative;
    }

    .all-locations{
        margin-top: 30px;
        height: 40%;
        width: 100%;
        /* border: 1px solid black; */
        display: flex;
        flex-direction: row;
    }

    .stuff-extras{
        display: inline-block;
    }

    .locations .modal{
        top: 100%;
    }

}


/* Media Query at 1014px */
@media (max-width: 1014px){
    .sItem{
        border: none;
    }
}


/* Media Query at 1010px */
@media (max-width: 1010px){
    .office{
        border-right: none;
    }
}


/* Media query at 1000px */
@media (max-width: 1000px){

    .W{
        height: 11.5vh;
        padding: 15px;
        border: none;
    }
    

    .nav-menu{
        position: absolute;
        justify-content: flex-start;
        width: 100px;
        left: 0;
        border: none;
    }

    .list-holder{
        flex-direction: column;
        justify-content: flex-start;
        border: none;
    }

    .nav-item{
        display: none;
    }

    
    .brgest h1{
        font-size: 28px;
        color: black;

    }

    .burger{
        font-size: 30px;
        margin-left: 30px;
        display: block;
        border: none;
        display: none;
    }
    #dropping{
        padding: 0;
        display: block;
        transition: all 300ms ease;
    }

    .bottom-nav{
        transition: all 300ms ease;
        position: relative;
        height: 0;
        width: 100vw;
        display: block;
        top: 0;
        transition: all 300ms ease;
        
    }

    .active-bnav{
        display: block;
        height: auto;
        
    }

    .secondHolder{
        margin-left: 20px;
    }

    

    .item2{
        display: flex;
        align-items: center;
        height: 50px;
        width: 100%;
    
    }

    .first-form{
        height: auto;
        width: 100vw;
        margin-top: 0;
        border: none;
    }

    .first-image{
        float: none;
        width: 123%;
        height: auto;
        overflow: hidden;
    }

    .theImage{
        height: 100vw;
        width: 100%;
    }


    .first-form h1{
        margin-top: 0;
    }

    .first-form .fuckk{
        width: 100%;
        margin-top: 0;
    }

    .fuckk h1{
        font-size: 45px;
        line-height: normal;
        word-spacing: normal;
    }

    .ACH{
        height: auto;
    }
    .ACH ul > li{
        display: block;
    }

    .all-locations{
        flex-direction: row;
        height: 40%;
    }

    /* .locations{
        w
    } */

    .searchPlaces{
        margin-top: 50px;
        width: 100%;
    }


}

/* Media query at 764px */
@media (max-width: 764px){
    .searchPlaces{
        width: 100%;
        margin-top: 35px;
    }

    .sItem{
        height: 100px;
        width: 200px;
    }
}

/* Media Query at 625px */
@media (max-width: 625px){
    .searchingFor{
        padding: 10px 40px;
    }


    .searchItems{
        width: 300px;
        margin: 20px 0;
        width: 100%;
    }



    .sItem{
        display: block;
        border-right: none;
        border-bottom: 1px solid black;

    }

    .shop{
        border-bottom: none;
    }
}

/* media at 412px */
@media (max-width: 414px){

    .W{
        height: 11.5vh;
        padding: 15px;
        border: none;
    }
    

    .nav-menu{
        position: absolute;
        justify-content: flex-start;
        width: 100px;
        left: 0;
        border: none;
    }

    .list-holder{
        flex-direction: column;
        justify-content: flex-start;
        border: none;
    }

    .nav-item{
        display: none;
    }

    
    .brgest h1{
        font-size: 28px;
        color: black;

    }

    .burger{
        font-size: 30px;
        margin-left: 30px;
        display: block;
        border: none;
        display: none;
    }
    #dropping{
        padding: 0;
        display: block;
        transition: all 300ms ease;
    }

    .bottom-nav{
        height: 0;
        width: 100vw;
        display: block;
        transition: all 300ms ease;
        
    }

    .active-bnav{
        display: block;
        height: auto;
        transition: all 300ms ease;
    }

    .secondHolder{
        margin-left: 20px;
    }

    

    .item2{
        display: flex;
        align-items: center;
        height: 50px;
        width: 100%;
    
    }

    .first-form{
        height: auto;
        width: 100vw;
        margin-top: 0;
        border: none;
    }

    .first-image{
        float: none;
        width: 100%;
        height: 100%;
        overflow: hidden;
    }

    .theImage{
        height: 100%;
        width: 105%;
    }


    .first-form h1{
        margin-top: 0;
    }

    .first-form .fuckk{
        width: 100%;
        margin-top: 0;
    }

    .fuckk h1{
        font-size: 45px;
        line-height: normal;
        word-spacing: normal;
    }

    .ACH{
        height: auto;
    }
    .ACH ul > li{
        display: block;
        text-align: left;
    }

    .ach-stuff{
        margin-left: 0;
    }

    .all-locations{
        position: relative;
        flex-direction: column;
        height: auto;
    }

    .locations{
        width: 100%;
        height: 8vh;
    }

    .locations .modal{
        top: -300%;
    }

    .searchPlaces{
        margin-top: 50px;
        width: 100%;
    }

    /* .searchItems{
        display: flex;
        flex-direction: column;
        align-self: center;
        justify-content: center;
    
        
    } */

}

/* Hover effects |start */

.ach-stuff:hover{
    color: red;
}

.ach-stuff:hover::after{
    opacity: 1;
}

.nav-item:hover{
    color: red;
}

a:hover{
    color: red;
    transition: all 300ms ease;
}

.modal, .status > li:hover{
    background-color: skyblue;
}








